Update Verifone terminal
Updates a Verifone terminal connection. Creates or moves the terminal to the specified issuer (user or company). If the terminal is already connected to a different issuer, it will be moved.
POST
/v1/hq/integrations/verifone/terminalsAuthorization
BearerTokenAuth
AuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Query Parameters
select?array<string>
expand?array<string>
Request Body
application/json
terminal_id*string
Verifone terminal ID (serial number)
issuer*string
User ID or Company ID to attach the terminal to. Set to empty string to disconnect.
description?string
Optional description for the terminal
Response Body
application/json
curl -X POST "https://api.noona.is/v1/hq/integrations/verifone/terminals" \ -H "Content-Type: application/json" \ -d '{ "terminal_id": "string", "issuer": "string" }'{
"id": "string",
"readable_identifier": "Suzy's terminal",
"brand": "string",
"model": "string",
"provider": "Istari",
"serial": "string",
"issuer": "string",
"description": "string",
"default": true,
"created_at": 0.1
}Empty
Empty
Empty
Empty